package com.zxhy.hfilemanagermaster.largefile

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.example.hfilemanagermaster.R
import com.example.hfilemanagermaster.databinding.FragmentLargeFileBinding
import com.zxhy.hfilemanagermaster.OverviewActivity

/**
 * A simple [Fragment] subclass.
 * Use the [LargeFileFragment.newInstance] factory method to
 * create an instance of this fragment.
 */
class LargeFileFragment : Fragment() {
    private lateinit var binding: FragmentLargeFileBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        (activity as OverviewActivity).setStatusBarColor(R.color.color_C2F300)
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        val view = inflater.inflate(R.layout.fragment_large_file, container, false)
        binding = FragmentLargeFileBinding.bind(view)
        return view
    }

    companion object {

        @JvmStatic
        fun newInstance() =
            LargeFileFragment().apply {
                arguments = Bundle().apply {}
            }
    }
}